language: c
compiler: clang
install:
 - git clone https://github.com/ninja-build/ninja.git /tmp/ninja
 - pushd /tmp/ninja
 - git checkout release
 - python configure.py --bootstrap
 - mkdir -p $HOME/.local/bin
 - install -m 755 /tmp/ninja/ninja $HOME/.local/bin/ninja
 - popd
 - export PATH=$HOME/.local/bin:$PATH
 - pip install --user git+https://github.com/Maratyszcza/PeachPy
 - pip install --user git+https://github.com/Maratyszcza/confu
before_script:
 - confu setup
 - python ./configure.py --toolchain=clang --backend=$BACKEND
 - ninja
script:
 - ninja smoketest
addons:
  apt:
    packages:
    - python-pip
env:
 - BACKEND=psimd
 - BACKEND=scalar
